Foxit PDF SDK

Static Public Member Functions | List of all members
FSDK.FormCombination Class Reference

## Static Public Member Functions
static | CombineFormsToCSV (form_file_array, dest_csv_file, append)
| Combine form data and export these data to a CSV file. More...
static | CombineFormsToCSV (form_file_array, dest_csv_file, append)
| Combine form data and export these data to a CSV file. More...

## Detailed Description

This class is used to combine form data from several files and export combined form data to spreadsheet.

## Member Function Documentation

## ◆ CombineFormsToCSV() [1/2]

static FSDK.FormCombination.CombineFormsToCSV | ( | form_file_array | ,
|  | dest_csv_file | ,
|  | append |
| ) |  |
| static

Combine form data and export these data to a CSV file.

Parameters

  [in] | form_file_array | A form file information array. This array contains information of source form files whose form data are to be combined.
  [in] | dest_csv_file | A full path of a CSV file, to which combined result will be saved to. This should not be an empty string.
  [in] | append | A boolean value used to decide whether combined form data is appended to the CSV file if the CSV file exists: true means to append combined form data to an existed CSV file, while false means not.

Returns
  None.

## ◆ CombineFormsToCSV() [2/2]

static FSDK.FormCombination.CombineFormsToCSV | ( | form_file_array | ,
|  | dest_csv_file | ,
|  | append |
| ) |  |
| static

Combine form data and export these data to a CSV file.

Parameters

  [in] | form_file_array | A form file information array. This array contains information of source form files whose form data are to be combined.
  [in] | dest_csv_file | A FSDK.StreamCallback object which is implemented by user to save combined form data to a CSV file. This should not be null. Please do not use append mode in writing callback functions.
  [in] | append | A boolean value used to decide whether combined form data is appended to the CSV file if the CSV file exists: true means to append combined form data to an existed CSV file, while false means not.

Returns
  None.